Skip to main content
GET
/
phone-numbers
/
{id}
Get phone number
curl --request GET \
  --url https://api.helloannie.com/v1/phone-numbers/{id}
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "number": "<string>",
    "name": "<string>",
    "language": "ENGLISH",
    "outbound": true,
    "verifiedCallerId": "<string>",
    "callbackForwardingNumber": "<string>",
    "voiceId": "FRIENDLY_BRIGHT",
    "speed": 123,
    "stability": 123,
    "similarity": 123,
    "style": 123
  }
}

Path Parameters

phoneNumberId
string<uuid>
required

The ID of the phone number to retrieve

Response

Response returned when retrieving a single phone number

success
enum<boolean>
required
Available options:
true
data
object
required

Represents a Twilio phone number and its configuration